Name:     nonstd-variant-lite-devel
%global altname variant-lite
Version:  2.0.0
Release:  1%{?dist}
Summary:  A type-safe union for C++98 and later
License:  Boost
URL:      https://github.com/martinmoene/%{altname}
Source0:  https://github.com/martinmoene/%{altname}/archive/refs/tags/v%{version}.tar.gz#/%{altname}-%{version}.tar.gz
Patch0:   variant-lite-2.0.0-std-variant.patch
BuildArch: noarch
BuildRequires: cmake
BuildRequires: gcc-c++

%description
variant lite is a single-file header-only library to represent a type-safe
union. The library aims to provide a C++17-like variant for use with C++98 and
later. If available, std::variant is used.

%prep
%autosetup -p1 -n %{altname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install
install -d %{buildroot}/%{_datadir}
mv -f %{buildroot}/%{_libdir}/cmake %{buildroot}/%{_datadir}/

%check
%ctest

%files
%doc README.md
%license LICENSE.txt
%{_includedir}/nonstd/*.hpp
%{_datadir}/cmake/*/*.cmake

%changelog
* Fri Jul 15 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 2.0.0-1
- Initial version of the package
